
Application: gvSIG desktop - gvSIG bugs #5255
Leyenda compleja aplica las leyendas al dar "Aceptar", con aplicar sólo aplica la primera leyenda
05/01/2020 01:22 PM - Álvaro Anguix
Has patch: Hito:
Add-on name: Unknown
Description

Creo una leyenda compleja. Todo lo que voy a crear es con los checks marcados de sin límite de escala y permitiendo solapes.
- Primero creo un tipo de leyenda, por ejemplo de valores únicos. Aplico (sin darle a "Aceptar", es decir, sin salir de la ventana de
diálogo de simbología) y se ve el cambio en la Vista.
- Creo otra simbología más, por ejemplo de mapa de calor. Aplico y no se ven cambios, da la sensación al usuario de que no
funciona. Sin embargo, al pulsar "Aceptar" aplica los cambios y se ve correctamente en la Vista que hay dos leyendas...aunque en el
TOC sólo representa una de las simbologías en la leyenda y no las dos simbologías aplicadas.
- Vuelvo a propiedades/simbología, y sobre la leyenda compleja, creo otra simbología, por ejemplo densidad de puntos. Se repite el
proceso, al darle a "Aplicar" aparentemente no pasa nada. Al darle a aceptar se aplica pero la leyenda del TOC solo muestra una de
las leyendas aplicadas y no las tres.
- Vuelvo a propiedades/simbología y en la leyenda compleja borro la simbología cuya leyenda está representada en el TOC. Pulso
"Aceptar" y aunque esa simbología ya no se aplica, sigue siendo la que aparece representada en la leyenda del TOC.

Adjunto log.

Associated revisions
Revision 3572 - 05/05/2020 07:58 AM - Francisco Díaz Carsí

refs #5255 Fixed behaviour of ComplexLegendPanelscale, & fixed draw  TOC for ComplexLegend

Revision 45005 - 05/05/2020 07:58 AM - Francisco Díaz Carsí

refs #5255 Fixed behaviour of ComplexLegendPanelscale, & fixed draw  TOC for ComplexLegend

History
#1 - 05/04/2020 09:21 AM - Joaquín  del Cerro Murciano
- Assignee set to Francisco Díaz Carsí

#2 - 05/04/2020 09:38 AM - Francisco Díaz Carsí
- Status changed from New to In progress

#3 - 05/05/2020 07:59 AM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from In progress to Fixed
- Due date set to 05/05/2020

#4 - 05/05/2020 10:27 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3022

#5 - 05/09/2020 04:25 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 432 KB 05/01/2020 Álvaro Anguix

05/01/2024 2/2


